JBoss API: Class GlobalId

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Class GlobalId

    java.lang.Object
      |
      +--org.jboss.tm.GlobalId

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class GlobalId
extends java.lang.Object
implements java.io.Externalizable

This object encapsulates the global transaction ID of a transaction. It is similar to an Xid, but holds only the GlobalId part. This implementation is immutable and always serializable at runtime.

Version:
  $Revision: 1.3 $
Author:
  Ole Husgaard
See Also:
  `XidImpl`, Serialized Form

Constructor Summary
`GlobalId()`
`GlobalId(int hash, byte[] globalId)` Create a new instance.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare for equality.
`int` | `hashCode()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalId

    public GlobalId()

### GlobalId

    public GlobalId(int hash,
                    byte[] globalId)

  Create a new instance. This constructor is public only to get around a class loader problem; it should be package-private.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Compare for equality. Instances are considered equal if they both refer to the same global transaction id.
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.